from h5py import File, Group
from h5schemas.header.add_header import check_uuid_time_stamp


def overwrite_header_at_index(
    h5_file: File | Group, index: int, uuid: str | None, timestamp: float | None = None
):
    uuid, timestamp = check_uuid_time_stamp(uuid, timestamp)

    dst = h5_file["uuid"]
    dst[index] = uuid

    dst = h5_file["timestamp"]
    dst[index] = timestamp